Bug 62464 - Incorrect timestamp values for JMS Publisher component
Summary: Incorrect timestamp values for JMS Publisher component
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 4.0
Hardware: Macintosh All
: P2 normal (vote)
Target Milestone: JMETER_5.0
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2018-06-16 18:23 UTC by ncasaux
Modified: 2018-09-05 15:33 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ncasaux 2018-06-16 18:23:21 UTC
Hello,

When I use the JMS Publisher component, and when the sample fails (for example because of an incorrect connection url), then the "sample start" value is incorrect, its value is January 1st 1970, 01:00:00.000.

When the sample does not fail, the "sample start" value is correct.
Comment 1 Felix Schumacher 2018-06-17 10:48:43 UTC
Thanks for reporting. Will be included in JMeter v4.1

Can you test the fix that should be in the next nightly?

Date: Sun Jun 17 10:46:20 2018
New Revision: 1833661

URL: http://svn.apache.org/viewvc?rev=1833661&view=rev
Log:
Set start- and end-time on JMS publisher sampler, even if initialization fails.

Bugzilla Id: 62464


Modified:
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/PublisherSampler.java
    jmeter/trunk/xdocs/changes.xml
Comment 2 ncasaux 2018-06-18 21:49:24 UTC
Hello,

I confirm that it's fixed in the night build.